Summary: Tools for building packages in clean chroot environment
Name: package-build-service
Version: 0.3.6
Release: %mkrel 2
License: GPLv3+
Group:  Development/Other
Url: https://sourceforge.net/projects/package-build-service
Source0: https://sourceforge.net/projects/package-build-service/files/%{name}-%{version}.tar.gz
#For mass_rebuild
Recommends: sudo
#For repo-hdlistgen
Requires: genhdlist2, perl-URPM
#For make_aum.sh
BuildRequires: boost-devel
#For localization
BuildRequires: gettext

%description
aum++: Tool for building packages in clean chroot environment
mass_rebuild: Tool for automatic rebuilding package(s)
repo-hdlistgen: Tool for work with repo
genchroot-tarball: Tool for generation chroot archive
mass_rebuild_test: Tool for testing installation packages after mass_rebuild

%prep
%setup -q
tar -xf repo.tar.gz

%build
pushd src
sed -i -e "s|pbs-|aum++-|g" ./cBuild.cpp
sed -i -e "s|pbs_|aum++_|g" ./cBuild.cpp
sed -i -e "s|pbs_|aum++_|g" ./functions.cpp
sed -i -e "s|#include <mysql/mysql.h>||g" ./functions.h
./make_aum.sh
popd

%install
mkdir -p %{buildroot}%{_datadir}/aum++/skel/
cp -af repo/* %{buildroot}%{_datadir}/aum++/skel/
mkdir -p %{buildroot}%{_bindir}
install -m 0755 repo-hdlistgen %{buildroot}%{_bindir}/
install -m 0755 mass_rebuild %{buildroot}%{_bindir}/
install -m 0755 genchroot-tarball %{buildroot}%{_bindir}/
install -m 0755 mass_rebuild_test %{buildroot}%{_bindir}/
pushd src
install -m 0755 aum++ %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/locale
cp -af i18n/* %{buildroot}%{_datadir}/locale/
popd

%find_lang aum++

%files -f aum++.lang
%doc docs/*
%{_bindir}/repo-hdlistgen
%{_bindir}/mass_rebuild
%{_bindir}/mass_rebuild_test
%{_bindir}/aum++
%{_bindir}/genchroot-tarball
%{_datadir}/aum++/skel/*


%changelog
* Sun Dec 27 2015 daviddavid <daviddavid> 0.3.6-2.mga6
+ Revision: 915542
- rebuild for new boost 1.60.0

* Sun Nov 15 2015 alexl <alexl> 0.3.6-1.mga6
+ Revision: 903308
- version 0.3.6
- new url
- del upstreamed stuff

* Sat Sep 26 2015 daviddavid <daviddavid> 0.3.5-7.mga6
+ Revision: 883893
- rebuild for new boost 1.59.0

* Fri Aug 28 2015 cjw <cjw> 0.3.5-6.mga6
+ Revision: 870421
- rebuild with gcc 5

* Sun Aug 02 2015 daviddavid <daviddavid> 0.3.5-5.mga6
+ Revision: 860593
- rebuild for new boost-1.58.0

* Thu Dec 25 2014 alexl <alexl> 0.3.5-4.mga5
+ Revision: 806025
- s/suggests/recommends/
- fixed get username

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-3.mga5
+ Revision: 741636
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-2.mga5
+ Revision: 683304
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Apr 06 2014 alexl <alexl> 0.3.5-1.mga5
+ Revision: 612331
- imported package package-build-service

